# Fully Steerable 3D Spherical Neurons

## Requirements
> 📋We achieved the original results with Python 3.7.10, ```torch==1.8.1```,  ```scipy==1.6.1```, ```numpy==1.20.3```. Other dependencies include ```matplotlib``` and ```tqdm```.

To install the requirements, run:

```setup
pip install -r requirements.txt
```

## Datasets
The ```utkinect_skeletons_data``` folder contains the 3D skeleton data that we extracted and preprocessed from [UTKinect-Action3D dataset](http://cvrc.ece.utexas.edu/KinectDatasets/HOJ3D.html). The preprocessing and data split are described in Section 5.1 in the paper.

## Demo

The ```demo_[dataset_name].ipynb``` (```demo_[dataset_name].html```) notebooks demonstrate a step-by-step construction of the proposed steerable spherical model, as well as the experiments with the corresponding datasets reported in the paper.